# xarray.Dataset.rename

`Dataset.``rename`(name_dict, inplace=False)

  Returns a new object with renamed variables and dimensions.

  Parameters:

  name_dict : dict-like

  > Dictionary whose keys are current variable or dimension names and whose values are the desired names.

  inplace : bool, optional

  > If True, rename variables and dimensions in-place. Otherwise, return a new dataset object.

  Returns:

  renamed : Dataset

  > Dataset with renamed variables and dimensions.

  See also

  `Dataset.swap_dims`, `DataArray.rename`